Package com.google.javascript.jscomp

# Enum CompilerOptions.TracerMode

java.lang.Object
java.lang.Enum<CompilerOptions.TracerMode>
com.google.javascript.jscomp.CompilerOptions.TracerMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CompilerOptions.TracerMode>`, `java.lang.constant.Constable`

Enclosing class:
  `CompilerOptions`

public static enum CompilerOptions.TracerMode extends Enum<CompilerOptions.TracerMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`OFF`
`RAW_SIZE`
`TIMING_ONLY`

## Method Summary

Modifier and Type
Method
Description
`static CompilerOptions.TracerMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompilerOptions.TracerMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL

public static final CompilerOptions.TracerMode ALL

### RAW_SIZE

public static final CompilerOptions.TracerMode RAW_SIZE

### TIMING_ONLY

public static final CompilerOptions.TracerMode TIMING_ONLY

### OFF

public static final CompilerOptions.TracerMode OFF

## Method Details

### values

public static CompilerOptions.TracerMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompilerOptions.TracerMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null